package eu.mathiasl.legacychatfix;

import com.comphenix.protocol.ProtocolLibrary;
import eu.mathiasl.legacychatfix.config.ConfigManager;
import org.bukkit.plugin.java.JavaPlugin;

public final class LegacyChatFix extends JavaPlugin {

    ConfigManager configManager = new ConfigManager(this);

    LegacyChatFixPacketAdapter adapter;

    @Override
    public void onEnable() {
        adapter = new LegacyChatFixPacketAdapter(this, configManager);
        ProtocolLibrary.getProtocolManager().addPacketListener(adapter);
    }

    @Override
    public void onDisable() {
        // Plugin shutdown logic
        ProtocolLibrary.getProtocolManager().removePacketListener(adapter);
    }
}
